Subject: bug#36649: 27.0.50; pure space and pdumper

From: Paul Eggert <[email-masked]>
Date: Wed, 19 May 2021 10:43:24 -0700

On 5/19/21 10:38 AM, Eli Zaretskii wrote:
> The problem is not in gmalloc.c, the problem is in every src/*.c file
> that calls 'free'.  That's because we redirect to hybrid_free in
> conf_post.h, but Gnulib's stdlib.h is included after that,

Have conf_post.h include stdlib.h before it redefines 'free'. It should 
do that anyway, since POSIX stdlib.h is allowed to define 'free' as a macro.